<?php

declare(strict_types=1);

namespace App\Events;

use DateTime;
use Illuminate\Contracts\Auth\Authenticatable;
use Seka\Vzdelavanie\Events\Kniznica\ActivityLogTrait;

/**
 * Class UserLoggingAction
 */
abstract class UserLoggingAction
{
    use ActivityLogTrait;

    public DateTime $casovaPeciatka;

    /**
     * Create a new event instance.
     */
    public function __construct(Authenticatable $pouzivatel, DateTime $casovaPeciatka)
    {
        $this->pouzivatel = $pouzivatel;
        $this->casovaPeciatka = $casovaPeciatka;
        $this->setActivityLogParameters();
    }
}
